"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
function useViewportHeight() {
    const [height, setHeight] = react_1.useState(() => { var _a; return ((_a = window.visualViewport) === null || _a === void 0 ? void 0 : _a.height) || window.innerHeight; });
    const timeoutRef = react_1.useRef(null);
    react_1.useLayoutEffect(() => {
        var _a;
        const handleResize = () => {
            if (timeoutRef.current) {
                window.clearTimeout(timeoutRef.current);
            }
            timeoutRef.current = window.setTimeout(() => {
                var _a;
                const newHeight = ((_a = window.visualViewport) === null || _a === void 0 ? void 0 : _a.height) || window.innerHeight;
                setHeight(newHeight);
            }, 16);
        };
        (_a = window.visualViewport) === null || _a === void 0 ? void 0 : _a.addEventListener("resize", handleResize);
        window.addEventListener("resize", handleResize);
        return () => {
            var _a;
            if (timeoutRef.current) {
                window.clearTimeout(timeoutRef.current);
            }
            (_a = window.visualViewport) === null || _a === void 0 ? void 0 : _a.removeEventListener("resize", handleResize);
            window.removeEventListener("resize", handleResize);
        };
    }, []);
    return height;
}
exports.default = useViewportHeight;
//# sourceMappingURL=useViewportHeight.js.map